io.vertx.ext.auth.shiro

## Class ShiroAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.shiro.ShiroAuthOptions

- All Implemented Interfaces:
    AuthOptions

      public class ShiroAuthOptions
      extends Object
      implements AuthOptions

  Shiro auth configuration options, see Vert.x Auth Shiro component and/or Apache Shiro project.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ShiroAuthRealmType` | `DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShiroAuthOptions()`
    `ShiroAuthOptions(JsonObject json)`
    `ShiroAuthOptions(ShiroAuthOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShiroAuthOptions` | `clone()`
    `AuthProvider` | `createProvider(Vertx vertx)` Create the suitable provider for this option.
    `JsonObject` | `getConfig()`
    `ShiroAuthRealmType` | `getType()`
    `ShiroAuthOptions` | `setConfig(JsonObject config)` Set the Shiro auth config.
    `ShiroAuthOptions` | `setType(ShiroAuthRealmType type)` Set the Shiro auth options type.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final ShiroAuthRealmType DEFAULT_TYPE

  - ### Constructor Detail

    - #### ShiroAuthOptions

          public ShiroAuthOptions()

    - #### ShiroAuthOptions

          public ShiroAuthOptions(ShiroAuthOptions that)

    - #### ShiroAuthOptions

          public ShiroAuthOptions(JsonObject json)

  - ### Method Detail

    - #### getType

          public ShiroAuthRealmType getType()

      Returns:
        the Shiro realm type

    - #### setType

          public ShiroAuthOptions setType(ShiroAuthRealmType type)

      Set the Shiro auth options type.
      Parameters:
        `type` - the type
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConfig

          public JsonObject getConfig()

      Returns:
        the Shiro auth config

    - #### setConfig

          public ShiroAuthOptions setConfig(JsonObject config)

      Set the Shiro auth config.
      Parameters:
        `config` - the config
      Returns:
        a reference to this, so the API can be used fluently

    - #### clone

          public ShiroAuthOptions clone()

      Specified by:
        `clone` in interface `AuthOptions`
      Overrides:
        `clone` in class `Object`

    - #### createProvider

          public AuthProvider createProvider(Vertx vertx)

      Description copied from interface: `AuthOptions`
      Create the suitable provider for this option.
      Specified by:
        `createProvider` in interface `AuthOptions`
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the auth provider

Copyright © 2016. All rights reserved.